<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_o" name="index_o"></a>- o -</h3><ul>
<li>OnBackPressedEvent()&#160;:&#160;<a class="el" href="classgg_1_1LoadGame.html#a000ae67689c85a4e6efd9cccc7ddb109">gg::LoadGame</a>, <a class="el" href="classgg_1_1NewGame.html#a5105bd6b9592037cfdfc2a199cacf942">gg::NewGame</a>, <a class="el" href="classgg_1_1Settings.html#a589df9f24ceb40ebda69e0b0f960f2c3">gg::Settings</a></li>
<li>OnEvent()&#160;:&#160;<a class="el" href="classgg_1_1Button.html#a6cbe63267be0351408f2647887881345">gg::Button</a>, <a class="el" href="classgg_1_1ControlsMenu.html#ad36e4792007bfc77007e7d6f3808e4ad">gg::ControlsMenu</a>, <a class="el" href="classgg_1_1CustomGameState.html#a81185173b30b4ba2ede5c8a95730331e">gg::CustomGameState</a>, <a class="el" href="classgg_1_1Gameplay.html#a62f7697ab2b80b8663985217d02f4631">gg::Gameplay</a>, <a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">gg::IEventSubscriber</a>, <a class="el" href="classgg_1_1LoadGame.html#a1223fa3504565129721ad355c1c67f69">gg::LoadGame</a>, <a class="el" href="classgg_1_1MainMenu.html#a5c90f2a767f027433261db500da54c07">gg::MainMenu</a>, <a class="el" href="classgg_1_1NewGame.html#a70c85ece1b65ff5d09aa162ef1d7f50c">gg::NewGame</a>, <a class="el" href="classgg_1_1PauseMenu.html#aa42145d8fed4d72aeb6906153ab28445">gg::PauseMenu</a>, <a class="el" href="classgg_1_1Scene.html#abc9bfaf0685c16aaa2a8cc4973ad61b4">gg::Scene</a>, <a class="el" href="classgg_1_1Settings.html#af6254a263eca83ba52e9a0d3022f659a">gg::Settings</a>, <a class="el" href="classgg_1_1Tile.html#a10ad4cf3efcbf28f9619728645dbf177">gg::Tile</a></li>
<li>OnExitPressedEvent()&#160;:&#160;<a class="el" href="classgg_1_1MainMenu.html#a0165c717b415991c29e6ecdde9a04766">gg::MainMenu</a></li>
<li>OnFullscreenEvent()&#160;:&#160;<a class="el" href="classgg_1_1Settings.html#aae421ba4db17cf9be2da5fef2f08bbff">gg::Settings</a></li>
<li>OnKeyboardReleased()&#160;:&#160;<a class="el" href="classgg_1_1Tile.html#a1d29c8525bf4ff2360d8ed2da06417a2">gg::Tile</a></li>
<li>OnLoadGamePressedEvent()&#160;:&#160;<a class="el" href="classgg_1_1MainMenu.html#a342e00635165f82a05e9c47f38328abd">gg::MainMenu</a></li>
<li>OnMouseMoved()&#160;:&#160;<a class="el" href="classgg_1_1Tile.html#a16878527ccba59914b345b7cf314df94">gg::Tile</a></li>
<li>OnMouseMovedEvent()&#160;:&#160;<a class="el" href="classgg_1_1Button.html#a4b31aef4e750fa85de2a512c2a9110b1">gg::Button</a></li>
<li>OnMousePressed()&#160;:&#160;<a class="el" href="classgg_1_1Tile.html#a301a080e5cdb580c2224a9548de9d753">gg::Tile</a></li>
<li>OnMousePressedEvent()&#160;:&#160;<a class="el" href="classgg_1_1Button.html#a4c802d824aaa16c8dcc6dc534cbedbee">gg::Button</a></li>
<li>OnMouseReleasedEvent()&#160;:&#160;<a class="el" href="classgg_1_1Button.html#a2f20cc11f07e0305b8b60b6e8fdd76d0">gg::Button</a>, <a class="el" href="classgg_1_1ToggleButton.html#ab7308abe03ac47067cbf7d86715163a0">gg::ToggleButton</a></li>
<li>OnMusicSetEvent()&#160;:&#160;<a class="el" href="classgg_1_1Settings.html#aa60cc893140ba81f7d93e690c25c797e">gg::Settings</a></li>
<li>OnNewGamePressedEvent()&#160;:&#160;<a class="el" href="classgg_1_1MainMenu.html#adbd6010721cb317fc849f7a0ce886a34">gg::MainMenu</a></li>
<li>OnSelectedGameEvent()&#160;:&#160;<a class="el" href="classgg_1_1LoadGame.html#a77cce5144b17b222fa029187d944ab1b">gg::LoadGame</a>, <a class="el" href="classgg_1_1NewGame.html#a5396910feec142c3e9b5f3dd9a193e6a">gg::NewGame</a></li>
<li>OnSettingsPressedEvent()&#160;:&#160;<a class="el" href="classgg_1_1MainMenu.html#a46190dc54548641e1b31dcf287ffde22">gg::MainMenu</a></li>
<li>operator=()&#160;:&#160;<a class="el" href="classgg_1_1Application.html#a33bd0d684209797c83eea4980ab21ca7">gg::Application</a>, <a class="el" href="classgg_1_1EventDispatcher.html#ad509264c69cbbbace55964f563d7d0d8">gg::EventDispatcher</a></li>
<li>operator==()&#160;:&#160;<a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">gg::IEventSubscriber</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
